#include<bits/stdc++.h>

using namespace std;


int main()
{
    int n, q;
    cin >> n >> q;
    vector<int> a(n);
    vector<int> b(q);

    for (int i = 0; i < n; i++)
        cin >> a[i];
    sort(a.begin(), a.end());

    for (int i = 0; i < q; i++)
        cin >> b[i];

    int medijana = n / 2;

    for (int i = 0; i < q; i++)
    {
        int p = medijana;
        bool ne_postoji = false;
        if (b[i] == a[medijana])
        {
            cout << "0" << endl;
            continue;
        }
        else if (b[i] > a[medijana])
        {
            while (p != n)
            {
                if (b[i] == a[p])
                    break;
                else if (b[i] > a[p] && b[i] < a[p + 1])
                {
                    ne_postoji = true;
                    p++;
                    break;
                }
                p++;
            }
            if (b[i] > a[n - 1])
            {
                p = n;
                ne_postoji = true;
            }
        }
        else if (b[i] < a[medijana])
        {
            while (p != -1)
            {
                if(b[i] == a[p])
                    break;
                if(b[i] < a[p] && b[i] > a[p - 1])
                {
                    ne_postoji = true;
                    p--;
                    break;
                }
                p--;
            }
            if (b[i] < a[0])
            {
                p = -1;
                ne_postoji = true;
            }
        }
        if ( (p > medijana && n % 2 != 0) || (p < medijana && n % 2 == 0) || (ne_postoji && p > medijana && n % 2 != 0) || (ne_postoji && p < medijana && n % 2 == 0) )
            cout << abs(p - medijana) * 2 - 1 << endl;
        else
            cout << abs(p - medijana) * 2 << endl;
    }
    return 0;
}